//---------------------------------------------------------------------------
// JrDebug demo that shows  to set default initial options not using commandline.
//  This demo is also useful for testing the new (v1.11.01 nov 13, 2010) feature that
//  tries to save default debug output files in user docs+settings\JrDebug\ directory IFF run under win vista/win7 in protected dir (application default directory)
//  Note the use of ;info on the -dbo commandline which instructs it to display the path of the output file on startup
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
// System includes for std::cout usage below
#include <iostream>
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
// Include the Debugging Library file (only our main should include this
//  file, additional .cpp files should include "jrdebug.h"
//  alternatively, you could add this cpp to your project or makefile.
#include "../../jrdebug_main.cpp"
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
int main(int argc, char *argv[])
{
	// set our own commandline options as one big string, not using actual comline args
	bool foundcommandlineargs;
	JrDebugParseCommandlineArgString("-dbo text;debugout.txt;info",argv[0],&foundcommandlineargs);

	// a debug logging output line
	debugout << "This is a debugging message (argc="<<argc<<")";
	// return success
	std::cout << "Program finished."<<std::endl;
	return 0;
}
//---------------------------------------------------------------------------

